List all stocktakings
Lists all stocktakings for a warehouse.
Required permissions: STOCKTAKING
get/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
warehouseUidstringRequiredPattern:
Reference to a Warehouse.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
typestring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| FULL | Stock counting containing all productUids in tenant |
| PARTIAL | Stock counting containing a list of specific producdIds |
| RECOUNT | Make a new stock taking with a set of productUids to be recounted |
Responses
200
Example response
application/json
get/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings
GET /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"description": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"status": "NOT_STARTED",
"stocktakingUid": "text",
"type": "FULL",
"warehouseUid": "text",
"withStock": true
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

